@metadata_processor
def nodejs_apt_repos(metadata):
    return {
        'apt': {
            'repos': {
                'matrix': {
                    'key': 'AAF9AE843A7584B5A3E4CD2BCF45A512DE2DA058',
                    'items': [
                        'deb https://packages.matrix.org/debian buster main',
                    ],
                },
            },
            'unattended-upgrades': {
                'sites': {
                    'packages.matrix.org',
                },
            },
            'packages': {
                'matrix-synapse-py3': {},
            },
        },
    }, DEFAULTS, DONE

@metadata_processor
def synapse_defaults(metadata):
    return {
        'matrix-synapse': {
            'registration_shared_secret': repo.vault.human_password_for('{} matrix-synapse registration_shared_secret'.format(node.name)),
            'database': {
                'user': 'synapse_user',
                'password': repo.vault.password_for('{} postgresql synapse_user'.format(node.name)),
                'database': 'synapse',
            },
        },
    }, DEFAULTS, DONE
